#
# Conditional build:
%bcond_with	gtk3	# use GTK+ 3.x instead of 2.x

Summary:	A GTK+ 2 based scientific calculator
Summary(pl.UTF-8):	Kalkulator naukowy bazujący na GTK+ 2
Name:		galculator
Version:	2.1.2
Release:	2
License:	GPL v2+
Group:		Applications/Math
Source0:	http://downloads.sourceforge.net/galculator/%{name}-%{version}.tar.bz2
# Source0-md5:	01c97ec3e18c26c64af78dca9f700d43
Patch0:		%{name}-desktop.patch
URL:		http://galculator.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libglade2-devel >= 1:2.0.1
BuildRequires:	pkgconfig
Requires:	desktop-file-utils
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GTK+ 2 based scientific calculator with ordinary notation/reverse
polish notation, different number bases (DEC, HEX, OCT, BIN) and
different angle bases (DEG, RAD, GRAD).

%description -l pl.UTF-8
Kalkulator naukowy bazujący na GTK+ 2 z notacją zwykłą i odwrotną
polską, różnymi systemami liczbowymi (dziesiętny, szesnastkowy,
ósemkowy, binarny) i różnymi miarami kątowymi (stopień, radian,
gradus).

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	%{__enable_disable gtk3}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -r $RPM_BUILD_ROOT%{_localedir}/da_DK
rm -r $RPM_BUILD_ROOT%{_localedir}/kk_KZ

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database
%update_icon_cache hicolor

%postun
%update_desktop_database
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/%{name}
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/galculator.png
%{_iconsdir}/hicolor/*/apps/galculator.svg
%changelog
* Mon May 12 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/galculator.git;a=log;h=master

* Mon May 12 2014 Elan Ruusamäe <glen@delfi.ee> 772e43b
- drop invalid locales

* Sat May 10 2014 Elan Ruusamäe <glen@delfi.ee> 41b360e
- up to 2.1.2, supports gtk3, but build for gtk2 for now

* Sat Jan 12 2008 Jakub Bogusz <qboosh@pld-linux.org> b6d1bfb
- cleanup, libglade2 epoch

* Sat Oct 13 2007 dzeus <dzeus@pld-linux.org> 48c1378
- rel 2

* Sat Oct 13 2007 dzeus <dzeus@pld-linux.org> 055d4c6
- up to 1.3.1

* Thu Sep 06 2007 aflinta <aflinta@pld-linux.org> 0f16da5
- up tp 1.3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> fbe915c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> fb55e29
- converted to UTF-8

* Thu Jun 08 2006 Paweł Gołaszewski <blues@pld-linux.org> 33bec42
- 1.2.5.2 - works now, removed bogus am patch.

* Thu Jun 08 2006 Paweł Gołaszewski <blues@pld-linux.org> aecc5de
- outdated... bogus patch

* Mon May 09 2005 paladine <paladine@pld-linux.org> ee87094
- updated to 1.2.5

* Thu Oct 28 2004 paladine <paladine@pld-linux.org> 5772d48
- "GTK+" unification (hope thats all)

* Thu Oct 21 2004 Jarosław Kruk <jareq@pld-linux.org> f66eeb3
- updated to 1.2.4
- rel 1

* Wed Sep 15 2004 havner <havner@pld-linux.org> 59c8db6
- once more categories fix
- removed todo
- rel 3

* Wed Sep 15 2004 havner <havner@pld-linux.org> 1ba4fa3
- gtk added to categories

* Wed Sep 15 2004 havner <havner@pld-linux.org> 1ba513e
- desktop patch
- rel 2

* Wed Sep 15 2004 havner <havner@pld-linux.org> f3cf061
- fix categories

* Sun Sep 12 2004 Paweł Gołaszewski <blues@pld-linux.org> a7c8e57
- TODO

* Thu May 27 2004 grzegol <grzegol@pld-linux.org> 7177073
- updated to 1.2.3 (by Piotr Budny)

* Sun Apr 04 2004 grzegol <grzegol@pld-linux.org> 12cc8e0
- updated to 1.2.2

